import Gallery from './gallery.js';
import Enlarge from './enlarge.js';

// Bind elements

const galleryEle = document.querySelector('main.gallery');
const gallery = new Gallery(galleryEle);

const enlargeEles = document.querySelectorAll('[data-enlarge]');
const enlarge = new Enlarge(document.body);
for (const ele of enlargeEles) {
	enlarge.register(ele.dataset.enlarge, ele);
}

const enlargePreloadEles = document.querySelectorAll('[data-enlarge-preload-for]');
for (const ele of enlargePreloadEles) {
	enlarge.registerPreload(ele.dataset.enlargePreloadFor, ele);
}

enlarge.watchHash();

// Debug

window.g = gallery;
window.e = enlarge;
